<?php
/*
Plugin Name: BD Cleaner
Plugin URI: http://xora.org/bdcleaner.php
Description: Analiza, Limpia y optimiza tu base de datos de todo registro de Plugins com: 'All In One Seo Plugin', 'SEO by Yoast', otros plugins y parametros personalizados que guarden registros en tu Base de Datos.
Author: @HackeaMesta
Author URI: http://twitter.com/HackeaMesta
Version: 1.0
License: GPLv2
*/

global $_bd_cleaner_version;
global $_installed_bd_cleaner_version;

$bdcleaner_alert_msg = "Do you really want to execute this action? This action cannot be undone.";

$_bd_cleaner_version = "1.0";
$_installed_bd_cleaner_version = get_option( 'bd_cleaner_version' );

require_once ( ABSPATH . 'wp-admin/includes/upgrade.php' );
require_once ( 'includes/generic.php' );
require_once ( 'functions/analisis.php' );
require_once ( 'functions/optimize.php' );

function bd_cleaner_menu() {
	add_menu_page( 'Optimize Database', 'BD Cleaner', 'read', 'bdcleaner-index', 'bd_cleaner_optimize' );
	add_submenu_page( 'bdcleaner-index', 'Scan and clean Database', 'Scan database', 'manage_options', 'bdcleaner-analisis', 'bd_cleaner_analisis' );
}

function bd_cleaner_styles() {
	?>
<script type="text/javascript">
	function showHide() {
		if ( document.getElementById("parametro_name").selectedIndex == 7 ) {
			document.getElementById("hidden_html").style.display = "";
		}
		else {
			document.getElementById("hidden_html").style.display = "none";
		}
	}
</script>
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="http://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
	<?php
}

function bd_cleaner_update() {
	global $_bd_cleaner_version;
	if ( get_option( 'bd_cleaner_version' ) != $_bd_cleaner_version ) {
		update_option( 'bd_cleaner_version', $_bd_cleaner_version );
	}
}

if ( is_admin() ) {
	add_action( 'admin_menu','bd_cleaner_menu' );
	add_action( 'plugins_loaded', 'bd_cleaner_update' );
	add_action( 'admin_head', 'bd_cleaner_styles' );
}
?>